package com.oqpo.api.client.oqlink.util;

import lombok.Getter;
import lombok.Setter;

public enum ApiUserKey {

	STORE_SCM("bDSBwj9gVyPfBoEw", "sgafTRbSCqzZGUFULSh9gdo9o0ssgUD5"), // 매장 수발주 시스템 (외주)
	;

	ApiUserKey(String api_key, String secret_key) {
		this.api_key = api_key;
		this.secret_key = secret_key;
	}

	@Getter
	@Setter
	private String api_key;

	@Getter
	@Setter
	private String secret_key;

	public static String getSecretKey(String akey) {
		ApiUserKey[] values = ApiUserKey.values();
		for (ApiUserKey icd : values) {
			if (icd.api_key.equals(akey)) {
				return icd.secret_key;
			}
		}
		return null;
	}

}
